BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   General 8300 Series Discussion - Curve (http://www.blackberryforums.com/general-8300-series-discussion-curve/)
-   -   not your normal 507 problem (http://www.blackberryforums.com/general-8300-series-discussion-curve/205609-not-your-normal-507-problem.html)

BryanS 09-28-2009 04:01 PM

not your normal 507 problem
 
I've got a 8310 that a friend gave me to fix. It is showing the 507 error and I know this means that there is no OS installed. Its my understanding that this handset had an IT policy on it at one time that my friend was trying to clear and he was messing with JL Loader when doing so.

I know the standard process for fixing this problem is to run the loader.exe app after downloading the correct software for the handset. I downloaded and installed 8310-v4.2.2.170 and 8310-v4.5.0.110, both of which are AT&T packages and this is an AT&T handset. I tried running loader.exe to install either one of the packages (added in 4.2 after I couldn't get 4.5 to work) but couldn't get either to work.

Loader.exe is recognizing the PIN of the handset but is prompting "The Blackberry desktop software does not have blackberry device software for the device that you have connected to the computer."

I've double checked the model number and tried both software packs. I even tried adding in the 8300 and 8320 packages.

Crackutil is reporting that the current OS is 4.2.2.181 even though I'm getting the 507 error indicating that there is no OS installed.

Any ideas how I can get an OS put on this handset?

Thatzmister2u 09-28-2009 04:09 PM

Quote:

Originally Posted by BryanS (Post 1479802)
I've got a 8310 that a friend gave me to fix. It is showing the 507 error and I know this means that there is no OS installed. Its my understanding that this handset had an IT policy on it at one time that my friend was trying to clear and he was messing with JL Loader when doing so.

I know the standard process for fixing this problem is to run the loader.exe app after downloading the correct software for the handset. I downloaded and installed 8310-v4.2.2.170 and 8310-v4.5.0.110, both of which are AT&T packages and this is an AT&T handset. I tried running loader.exe to install either one of the packages (added in 4.2 after I couldn't get 4.5 to work) but couldn't get either to work.

Loader.exe is recognizing the PIN of the handset but is prompting "The Blackberry desktop software does not have blackberry device software for the device that you have connected to the computer."

I've double checked the model number and tried both software packs. I even tried adding in the 8300 and 8320 packages.

Crackutil is reporting that the current OS is 4.2.2.181 even though I'm getting the 507 error indicating that there is no OS installed.

Any ideas how I can get an OS put on this handset?

Are you 100% certain that it's an ATT phone? Did you delete the vendor.xml? If not, delete it and try loader again.

E-

BryanS 09-28-2009 04:16 PM

I should have looked closer.... he had several BBs, all on AT&T, and so, since this was an 8310 like the others that were certainly on AT&T I assumed it was too. Apparently assuming is bad because I renamed the vendor.xml file and it is loading up 4.5 right now....

Thanks for the help.... I knew I'd looked and looked but had missed something

dturnbeaugh 11-23-2009 11:14 PM

What if...
 
What if you have done all the above, deleted the vendor.xml, wiped your bb (with jl commander), rebooted the pc and bb, and you are still getting the same message? I tried to load the os from the att website, and it still gives the same message.


All times are GMT -5. The time now is 11:25 PM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.